using System;
using System.Web.UI.WebControls;
using System.Reflection;
using System.Drawing;
using WebChart;

namespace ChartTest {
	public class WebForm1 : System.Web.UI.Page {
		protected WebChart.ChartControl Chart1;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.DropDownList ddlColors;
	
		protected System.Web.UI.HtmlControls.HtmlGenericControl myBody;

		private ChartPointCollection CreateRandomData() {
			ChartPointCollection data = new ChartPointCollection();
			Random rnd = new Random();
			data.Add(new ChartPoint("Jan",rnd.Next(100)));
			data.Add(new ChartPoint("Feb",rnd.Next(100)));
			data.Add(new ChartPoint("Mar",rnd.Next(100)));
			data.Add(new ChartPoint("Apr",rnd.Next(100)));
			data.Add(new ChartPoint("May",rnd.Next(100)));
			data.Add(new ChartPoint("Jun",rnd.Next(100)));
			data.Add(new ChartPoint("Jul",rnd.Next(100)));
			data.Add(new ChartPoint("Aug",rnd.Next(100)));
			data.Add(new ChartPoint("Sep",rnd.Next(100)));
			data.Add(new ChartPoint("Oct",rnd.Next(100)));
			data.Add(new ChartPoint("Nov",rnd.Next(100)));
			data.Add(new ChartPoint("Dec",rnd.Next(100)));
			return data;
		}
		private void Page_Load(object sender, System.EventArgs e) {
			Color themeColor = Color.LightSlateGray;
			if (Page.IsPostBack==false) {
				FillColors();
			}
			else {
				themeColor = ColorTranslator.FromHtml(ddlColors.SelectedItem.Value);
			}
			ConfigureChart(themeColor);

		}

		private void ConfigureChart(Color themeColor) {
			myBody.Attributes.Add("bgcolor", ColorTranslator.ToHtml(themeColor));
				
			Color textColor = Color.FromArgb(80, themeColor);
			this.Chart1.Background.Color = themeColor;
			this.Chart1.PlotBackground.Color = Color.White;
			this.Chart1.Legend.Background.Color = Color.White;
			this.Chart1.Border.Color = Color.DarkBlue;
			this.Chart1.Legend.Border.Color= this.Chart1.Border.Color;

			this.Chart1.ChartTitle.ForeColor = System.Windows.Forms.ControlPaint.LightLight(themeColor);
			this.Chart1.XTitle.ForeColor = this.Chart1.ChartTitle.ForeColor;
			this.Chart1.YTitle.ForeColor = this.Chart1.ChartTitle.ForeColor;
			this.Chart1.XAxisFont.ForeColor = textColor;
			this.Chart1.YAxisFont.ForeColor = textColor;
				

			Chart cl = new StackedColumnChart(CreateRandomData(), Color.Black );
			cl.Legend = "User A";
			cl.Fill.Color = Color.FromArgb(10, Color.DarkBlue);
			cl.LineMarker = new CircleLineMarker(6, cl.Fill.Color, cl.Line.Color);
			Chart1.Charts.Add(cl);

			Chart c2 = new StackedColumnChart(CreateRandomData(), Color.Black);
			c2.Legend ="Carlos Aguilar Mares Testing";
			c2.Fill.Color = Color.FromArgb(30, themeColor);
			c2.LineMarker = new SquareLineMarker(6, c2.Fill.Color, c2.Line.Color);
			Chart1.Charts.Add(c2);

			Chart c3 = new StackedColumnChart();
			c3 = new StackedColumnChart(CreateRandomData());
			c3.Legend ="User \r\n DX";
			c3.Fill.Color = Color.FromArgb(50, themeColor);
			c3.Fill.ForeColor= Color.Blue;
			c3.Fill.CenterColor = Color.Black;
			c3.LineMarker = new XLineMarker(6, c3.Fill.Color, c3.Line.Color);
			Chart1.Charts.Add(c3);


			c3 = new StackedColumnChart(CreateRandomData());
			c3.Legend ="User DA";
			c3.Fill.Color = Color.FromArgb(70, themeColor);
			c3.Fill.ForeColor= Color.Blue;
			c3.LineMarker = new DiamondLineMarker(6,Color.Transparent, c3.Line.Color);

			Chart1.Charts.Add(c3);

			c3 = new StackedColumnChart(CreateRandomData());
			c3.Legend ="User E";
			c3.Fill.Color = themeColor;
			c3.Fill.ForeColor= Color.Blue;
			c3.Fill.CenterColor = Color.Black;
			c3.LineMarker = new TriangleLineMarker(6, c3.Fill.Color, c3.Line.Color);
			Chart1.Charts.Add(c3);
				
			Chart1.RedrawChart();
		}

		private void FillColors() {
			Type type = typeof(System.Drawing.Color);
			PropertyInfo[] ps = type.GetProperties();
			foreach(PropertyInfo p in ps) {
				if (p.PropertyType == type) {
					ddlColors.Items.Add( p.Name );
				}
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e) {
			InitializeComponent();
			base.OnInit(e);
		}
		private void InitializeComponent() {    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

	}
}
