using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using WebChart;

namespace WebChart
{
	/// <summary>
	/// Summary description for WebForm7.
	/// </summary>
	public class WebForm7 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Label Label1;
		protected WebChart.ChartControl Chart1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			DataSet ds = new DataSet("Test");
			ds.Tables.Add("SomeData");

			DataTable dt = ds.Tables["SomeData"];
			dt.Columns.Add("ColumnX");
			dt.Columns.Add("Column1");
			dt.Columns.Add("Column2");
			dt.Columns.Add("Column3");
			dt.Columns.Add("Column4");
			dt.Columns.Add("Column5");

			DataRow dr;
			dr = dt.NewRow();
			dr["ColumnX"] = "Jan";
			dr["Column1"] = 123;
			dr["Column2"] = 23;
			dr["Column3"] = 55;
			dr["Column4"] = 43;
			dr["Column5"] = 37;
			dt.Rows.Add( dr );
			dr = dt.NewRow();
			dr["ColumnX"] = "Jan";
			dr["Column1"] = 123;
			dr["Column2"] = 23;
			dr["Column3"] = 55;
			dr["Column4"] = 43;
			dr["Column5"] = 37;
			dt.Rows.Add( dr );

			AddChartsToControl(Chart1, 
				typeof(SmoothLineChart),
				ds.Tables["SomeData"], 
				"ColumnX",
				"Column1", 
				"Column2", 
				"Column3", 
				"Column4", 
				"Column5");

			Label1.Text=Chart1.ImageID;
			Chart1.RedrawChart();
		}
		private void AddChartsToControl(
			ChartControl chart,
			Type chartType,
			DataTable dt,
			string xValueColumnName,
			params string[] yColumnNames)
		{
			ChartPointCollection[] data = new ChartPointCollection[yColumnNames.GetUpperBound(0)];
			for (int i=0 ; i<yColumnNames.GetUpperBound(0) ; i++)
			{
				Chart c = (Chart)Activator.CreateInstance( chartType );
				data[i] = c.Data;
				c.Legend = yColumnNames[i];
				chart.Charts.Add( c );
			}

			foreach(DataRow dr in dt.Rows)
			{
				string xName = dr[xValueColumnName].ToString();
				for (int i=0 ; i<yColumnNames.GetUpperBound(0) ; i++)
				{
					float yValue=0;
					if (dr[yColumnNames[i]] is DBNull)
						yValue=0;
					else
						yValue = Convert.ToSingle(dr[yColumnNames[i]]);
					data[i].Add( 
						new ChartPoint( xName, yValue)
						);
				}
			}

		}



		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
